Subject: SDK headers for mingw32 cross-compile
From: [email-masked] (Peter Dalgaard BSA)

4 Feb 1998 16:09:33 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: Text/plain; charset="US-ASCII"
Content-Transfer-Encoding: 7bit
To: [email-masked]

Does anyone have a working recipe for generating Platform SDK headers
for the crosscompiling environment? I tried getting it to compile
Tcl8.0, but it barfs badly already at tclWin32Dll.c. Some of the
errors seem to come from the mingw32 headers, e.g.

/opt/gnu/i386-mingw32/include/excpt.h:72: warning: `struct _CONTEXT' declared in
side parameter list
/opt/gnu/i386-mingw32/include/excpt.h:72: warning: its scope is only this defini
tion or declaration,
/opt/gnu/i386-mingw32/include/excpt.h:72: warning: which is probably not what yo
u want.
/opt/gnu/i386-mingw32/include/excpt.h:72: warning: `struct _EXCEPTION_RECORD' de
clared inside parameter list

but most of them are in the SDK set. The patches I've got all seem to
be for the wrong version of the headers (SDK_4_ming_cygwin32.tar.gz)
and/or generating stuff that is specific to other setups (rsxnt14). 

BTW: It was the March97 SDK set that I tried it on. I would expect
that to match the SDK_4_etc... file, but aparently not!

-- 
   O__  ---- Peter Dalgaard             Blegdamsvej 3  
  c/ /'_ --- Dept. of Biostatistics     2200 Cph. N   
 (*) \(*) -- University of Copenhagen   Denmark      Ph: (+45) 35327918
~~~~~~~~~~ - ([email-masked])             FAX: (+45) 35327907

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".